Last modified: 2011-05-15 10:04:49 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27379 - Please create Wikipedia in Latgalian language
Please create Wikipedia in Latgalian language
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Language setup (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: shell
Depends on:
Blocks: wikis-to-create 28184 28211
  Show dependency treegraph
 
Reported: 2011-02-13 18:11 UTC by Olegs Anosovs
Modified: 2011-05-15 10:04 UTC (History)
12 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Olegs Anosovs 2011-02-13 18:11:35 UTC
Wikipedia in Latgalian language [1] has been approved by the Language
committee and the Board, which means that it should be created. The code is
ltg.

Test project is at [2].

Thanks!

[1] - http://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Latgalian_3
[2] - http://incubator.wikimedia.org/wiki/wp/ltg
Comment 1 Amir E. Aharoni 2011-02-13 20:00:26 UTC
I confirm this on behalf of the Langcom.

Here's the data for the creation, from the request page:

* Language name in native language (not needed for the setup, but needed if it is a completely new language for updating Meta pages): '''Latgaļu''' (for interwikis); '''Latgaļu volūda''' (full name)
* Language code: '''ltg'''
* Site url: '''ltg.wikipedia.org'''
* Logo (135x155px PNG image; a derivative from a decent SVG image): [[:File:Wikipedia-logo-v2-ltg.png]]
* Project name ("Wikipedia" in native language): '''Vikipedeja'''
* The name of the project namespace (usually the same as the previous): '''Vikipedeja'''
* The name of the project talk namespace (something like "Wikipedia talk" in your language): '''Vikipedejis sprīža'''
* Default project timezone (something like: CET (UTC+1)): '''EET (UTC+2)'''
Comment 2 Olegs Anosovs 2011-02-22 23:21:40 UTC
Interwiki text: Latgaļu

not Latgaļu volūda (just to notice that)
Comment 3 JeLuF 2011-03-18 20:59:29 UTC
Done.
===================================================================
Index: InitialiseSettings.php
===================================================================
--- InitialiseSettings.php	(revision 1647)
+++ InitialiseSettings.php	(working copy)
@@ -234,6 +234,7 @@
     'kowikisource' => 'Asia/Seoul',
     'kshwiki' => 'Europe/Berlin',
     'liwiki' => 'Europe/Berlin',
+    'ltgwiki' => 'Europe/Minks',
     'ltwiki' => 'Europe/Vilnius',
     'mkwiki' => 'Europe/Berlin',
     'mkwikibooks' => 'Europe/Berlin',
@@ -559,6 +560,7 @@
     'lmowiki'           => '$stdlogo',
     'lnwiki'            => 'http://upload.wikimedia.org/wikipedia/ln/b/bc/Wiki.png',
     'lowiki'            => '$stdlogo',
+    'ltgwiki'			=> 'http://upload.wikimedia.org/wikipedia/commons/7/77/Wikipedia-logo-v2-ltg.png',
     'ltwiki'            => '$stdlogo',
     'ltwikibooks'       => 'http://upload.wikimedia.org/wikibooks/lt/2/20/Wikibooks-logo-lt.png',
     'ltwiktionary'	=> '$stdlogo',
@@ -1225,6 +1227,7 @@
     'liwikibooks'   => 'Wikibeuk',
     'liwikisource'  => 'Wikibrónne',
     'lowiki'		=> 'ວິກິພີເດຍ',
+    'ltgwiki'		=> 'Vikipedeja',
     'ltwiki'		=> 'Vikipedija',
     'ltwikisource'  => 'Vikišaltiniai',
     'ltwiktionary'	=> 'Vikižodynas',
@@ -1635,6 +1638,7 @@
     'liwikibooks'   => 'Wikibeuk',
     'liwikisource'  => 'Wikibrónne',
     'lowiki'		=> 'ວິກິພີເດຍ',
+    'ltgwiki'		=> 'Vikipedeja',
     'ltwiki'		=> 'Vikipedija',
     'ltwikisource'  => 'Vikišaltiniai',
     'ltwiktionary'	=> 'Vikižodynas',
@@ -1820,6 +1824,7 @@
     'lawikisource' => 'Disputatio_Vicifontis',
     'liwikibooks'	=> 'Euverlèk_Wikibeuk',
     'lowiki'		=> 'ສົນທະນາກ່ຽວກັບວິກິພີເດຍ',
+    'ltgwiki'		=> 'Vikipedejis_sprīža',
     'ltwiki'		=> 'Vikipedijos_aptarimas',
     'ltwiktionary' => 'Vikižodyno_aptarimas',
     'lvwiki'		=> 'Vikipēdijas_diskusija',
Comment 4 Amir E. Aharoni 2011-03-19 00:10:00 UTC
heads up: it's probably Minsk and not Minks.
Comment 5 Olegs Anosovs 2011-03-19 17:59:49 UTC
What does it mean?
+    'ltgwiki' => 'Europe/Minks',
Comment 6 Olegs Anosovs 2011-03-19 18:33:44 UTC
and why not all namespaces are in Latgalian but in Latvian?
Comment 7 Casey Brown 2011-03-19 20:13:39 UTC
(In reply to comment #5)
> What does it mean?
> +    'ltgwiki' => 'Europe/Minks',

That means that the the timezone for the wiki will be "Europe/Minks".

(In reply to comment #6)
> and why not all namespaces are in Latgalian but in Latvian?

I'm not sure, but I would guess that it's because they're not translated into Latgalian (ltg) and Latvian (lv) is the fallback language.

You can translate the namespaces on translatewiki: <http://translatewiki.net/w/i.php?title=Special:AdvancedTranslate&language=ltg&module=namespace>
Comment 8 Olegs Anosovs 2011-03-19 21:01:23 UTC
(In reply to comment #7)
> (In reply to comment #5)
> > What does it mean?
> > +    'ltgwiki' => 'Europe/Minks',

It must be changed on
+    'ltgwiki' => 'Europe/Rezekne',
or
+    'ltgwiki' => 'Europe/Riga',

(first prefered)
Comment 9 Olegs Anosovs 2011-03-19 21:32:12 UTC
And could we use our own alphabet in sorting (in categories etc.)?

You can find it here:
http://en.wikipedia.org/wiki/Latgalian_language#Alphabet
Comment 10 Bawolff (Brian Wolff) 2011-03-19 23:10:55 UTC
(In reply to comment #9)
> And could we use our own alphabet in sorting (in categories etc.)?
> 
> You can find it here:
> http://en.wikipedia.org/wiki/Latgalian_language#Alphabet

Pages are sorted based on their first letter. It doesn't matter what alphabet that is. However, currently the ordering of the letters is probably a bit wrong. This will probably be fixed when we move to the uca-default collation ([[Unicode_collation_algorithm]]) (Or at least will make it significantly better - it might not be perfect for all languages. How good it is for ltg is something I don't know, but I imagine it would be acceptable.). Last I heard the plan was to move to that sometime in the near-ish future, but I don't know any details specifically.

If the uca-default collation (when we move to it) isn't sufficient, its possible to write another collation algorithm specifically for a language, but that does require some effort from developers (its not a 10 second change), and should be filed as a separate feature request. However, I'd be very surprised if uca-default wasn't good enough since Latgalian seems just to be latin letters plus some accents.

Thus, that issue will probably fix itself once the change to uca-default collation is made across Wikimedia.
Comment 11 Olegs Anosovs 2011-03-20 17:28:15 UTC
Please update this:
> It must be changed on
> +    'ltgwiki' => 'Europe/Rezekne',
> or
> +    'ltgwiki' => 'Europe/Riga',
> 
> (first prefered)


And new namespaces. Thanks!
Comment 12 JeLuF 2011-03-20 19:59:05 UTC
Your change has been completed.
Please reopen this ticket if anything went wrong.
The following configuration settings have been changed:
===================================================================
Index: InitialiseSettings.php
===================================================================
--- InitialiseSettings.php	(revision 1674)
+++ InitialiseSettings.php	(working copy)
@@ -235,7 +235,7 @@
     'kowikisource' => 'Asia/Seoul',
     'kshwiki' => 'Europe/Berlin',
     'liwiki' => 'Europe/Berlin',
-    'ltgwiki' => 'Europe/Minks',
+    'ltgwiki' => 'Europe/Riga',
     'ltwiki' => 'Europe/Vilnius',
     'mkwiki' => 'Europe/Berlin',
     'mkwikibooks' => 'Europe/Berlin',
===================================================================
You can find the entire config file at
http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php
Comment 13 Olegs Anosovs 2011-03-20 22:38:25 UTC
Thanks!

But actual is question with NAMESPACES

and + we don't have own MediaWiki design, therefore we can't create normal templates
Comment 14 Bawolff (Brian Wolff) 2011-03-21 00:37:10 UTC
Namespace translation needs to be done at the translatewiki website. ( http://translatewiki.net ) If you need an "extra" namespace (aka something equivalent to portal namespace on enwikipedia) you can ask here, but just to translate the normal namespace you must do it at translatewiki.


>and + we don't have own MediaWiki design, therefore we can't create normal
>templates

Don't know what this means.
Comment 15 Olegs Anosovs 2011-03-21 00:59:00 UTC
(In reply to comment #14)
> Namespace translation needs to be done at the translatewiki website. (
> http://translatewiki.net ) If you need an "extra" namespace (aka something
> equivalent to portal namespace on enwikipedia) you can ask here, but just to
> translate the normal namespace you must do it at translatewiki.
> 
> 
> >and + we don't have own MediaWiki design, therefore we can't create normal
> >templates
> 
> Don't know what this means.

1) waiting for update

2) that meens that: http://ltg.wikipedia.org/wiki/Template:Latgolys_n%C5%ABvodi
Comment 16 Bawolff (Brian Wolff) 2011-03-21 01:05:01 UTC
Its still very unclear what you want for point 2. It does not look like something requiring developer intervention though.
Comment 17 Olegs Anosovs 2011-03-21 08:27:05 UTC
we don't have any borders but created it like http://lv.wikipedia.org/wiki/Veidne:Latvijas_administrat%C4%ABvais_iedal%C4%ABjums
Comment 18 Roan Kattouw 2011-03-21 10:31:23 UTC
(In reply to comment #17)
> we don't have any borders but created it like
> http://lv.wikipedia.org/wiki/Veidne:Latvijas_administrat%C4%ABvais_iedal%C4%ABjums
You should probably copy the CSS for navboxes from lvwiki's [[MediaWiki:Common.css] then.
Comment 19 Roan Kattouw 2011-03-21 10:33:09 UTC
Re-closing this as fixed because the wiki has been created and set up correctly. Once the namespace names have been translated on translatewiki.net you can file a new bug for getting them deployed to ltgwiki.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links